@echo off
set appDir=%~dp0
cd %appDir%
goto check_Permissions

:check_Permissions
echo Administrative permissions required. Detecting permissions...
net session >nul 2>&1
if %errorLevel% == 0 (
    echo Administrative permissions confirmed.
    goto install_Service
) else (
    echo You are not running as an Administrator.
    goto stop_Please
)
    
:install_Service
echo Installing service   
sc create itsPaV1 binPath= "%appDir%\iTS.PaperCut.PrintAuditing.Service.exe" type= own start= auto DisplayName= "iTS PrintAuditing Service"
echo Service installed
goto stop_Please
    
:stop_Please
pause >nul
:end